/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.stimmeingabe.boundary;

import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfiguration;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class StimmeingabePlausiKonfigurationDAO extends AbstractStimmeingabePlausiKonfigurationDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(StimmeingabePlausiKonfiguration stimmeingabePlausiKonfiguration){
    getEntityManager().persist(stimmeingabePlausiKonfiguration);
  }

  public void remove(StimmeingabePlausiKonfiguration stimmeingabePlausiKonfiguration){
    getEntityManager().remove(stimmeingabePlausiKonfiguration);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: WahlAndErgebniseingangsartAndGebietsartAndTypNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM StimmeingabePlausiKonfiguration obj WHERE obj.wahl = ?1 AND obj.ergebniseingangsart = ?2 AND obj.gebietsart = ?3 AND obj.typ = ?4<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<StimmeingabePlausiKonfiguration> findByWahlAndErgebniseingangsartAndGebietsartAndTyp( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiErgebniseingangsart ergebniseingangsart,  @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiGebietsart gebietsart,  @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp typ) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("StimmeingabePlausiKonfiguration.findByWahlAndErgebniseingangsartAndGebietsartAndTyp" ,  wahl ,  ergebniseingangsart ,  gebietsart ,  typ  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlAndErgebniseingangsartAndGebietsartAndTyp( wahl ,  ergebniseingangsart ,  gebietsart ,  typ  ));
        }
        return (java.util.List<StimmeingabePlausiKonfiguration>) cached;
        }
            return super.findByWahlAndErgebniseingangsartAndGebietsartAndTyp( wahl ,  ergebniseingangsart ,  gebietsart ,  typ  );
            }
                                        
        /**
        * Name: WahlAndErgebniseingangsartAndGebietsartNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM StimmeingabePlausiKonfiguration obj WHERE obj.wahl = ?1 AND obj.ergebniseingangsart = ?2 AND obj.gebietsart = ?3<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<StimmeingabePlausiKonfiguration> findByWahlAndErgebniseingangsartAndGebietsart( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiErgebniseingangsart ergebniseingangsart,  @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiGebietsart gebietsart) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("StimmeingabePlausiKonfiguration.findByWahlAndErgebniseingangsartAndGebietsart" ,  wahl ,  ergebniseingangsart ,  gebietsart  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlAndErgebniseingangsartAndGebietsart( wahl ,  ergebniseingangsart ,  gebietsart  ));
        }
        return (java.util.List<StimmeingabePlausiKonfiguration>) cached;
        }
            return super.findByWahlAndErgebniseingangsartAndGebietsart( wahl ,  ergebniseingangsart ,  gebietsart  );
            }
                                        
        /**
        * Name: WahlAndErgebniseingangsartAndTypNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM StimmeingabePlausiKonfiguration obj WHERE obj.wahl = ?1 AND obj.ergebniseingangsart = ?2 AND obj.typ = ?3<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<StimmeingabePlausiKonfiguration> findByWahlAndErgebniseingangsartAndTyp( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiErgebniseingangsart ergebniseingangsart,  @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp typ) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("StimmeingabePlausiKonfiguration.findByWahlAndErgebniseingangsartAndTyp" ,  wahl ,  ergebniseingangsart ,  typ  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlAndErgebniseingangsartAndTyp( wahl ,  ergebniseingangsart ,  typ  ));
        }
        return (java.util.List<StimmeingabePlausiKonfiguration>) cached;
        }
            return super.findByWahlAndErgebniseingangsartAndTyp( wahl ,  ergebniseingangsart ,  typ  );
            }
                                        
        /**
        * Name: WahlNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM StimmeingabePlausiKonfiguration obj WHERE obj.wahl = ?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<StimmeingabePlausiKonfiguration> findByWahl( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("StimmeingabePlausiKonfiguration.findByWahl" ,  wahl  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahl( wahl  ));
        }
        return (java.util.List<StimmeingabePlausiKonfiguration>) cached;
        }
            return super.findByWahl( wahl  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}